Skip to main content
Compute Management/Image Storage Related Interfaces/Image Related Interfaces
PUTImage Related InterfacesSince 0.6SynchronousAuth Required

Sync Image Size

Sync Image Size

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Image UUID, uniquely identifies the Image

Body Fields

  • systemTagsList

    System Tags

  • userTagsList

    User Tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number, a globally unique identifier for the error, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. This field is null if there is no original error

  • inventoryImageInventoryRequired

    See inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • descriptionStringRequired

      Detailed description of the resource

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • md5SumStringRequired

      No description provided.

    • urlStringRequired

      地址。

    • mediaTypeStringRequired

      No description provided.

    • guestOsTypeStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • platformStringRequired

      平台。

    • formatStringRequired

      数据格式或导出格式。

    • systemBooleanRequired

      系统。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • backupStorageRefsListRequired

      See backupStorageRefs

      • imageUuidStringRequired

        Image UUID

      • backupStorageUuidStringRequired

        Image Storage UUID

      • installPathStringRequired

        安装路径。

      • exportUrlStringRequired

        导出地址。

      • exportMd5SumStringRequired

        No description provided.

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        Creation time

      • lastOpDateTimestampRequired

        Last modification time

Endpoint

PUT/zstack/v1/images/{uuid}/actions

/zstack/v1/images/{uuid}/actions

Operation ID

SyncImageSize

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a5288a2598074daabb0450db1eaf0e69", "name": "TinyLinux", "size": 2.097152E8, "actualSize": 2329057.0, "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "a5288a2598074daabb0450db1eaf0e69", "backupStorageUuid": "1a917c0b47c6475a996ed678f230419d", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }

Change History

This API has no change history records yet.

View all change history